﻿
@{
    ViewData["Title"] = "Index";
    Layout = "~/Views/Shared/_Layout.cshtml";
}


@*<style>
        #div1 {
            width: 350px;
            height: 70px;
            padding: 10px;
            border: 1px solid #aaaaaa;
        }
    </style>*@


@*<div class="container" style="margin-top:200px;margin-bottom:100px;">
        <div class="row" style="margin-bottom:10px;">
            <div class="col-12">

                    <div id="div1">
                       <img src="~/Images/Banner/work desk.jpg" id="drag1" width="100" height="69" />
                    </div>

            </div>
        </div>
        <div class="row">
            <div class="col-12">
                <canvas id="myCanvas" width="500" height="300"
                        style="border:1px solid #000000;">
                </canvas>
            </div>
        </div>
    </div>*@

<div class="container" style="margin-top:200px;margin-bottom:100px;">
        <div class="row" style="margin-bottom:10px;">
            <div class="col-12">
                <div id="div1">
                    @*<img src="~/Images/Banner/work desk.jpg" id="drag1" width="100" height="69" />*@
                </div>
            </div>
        </div>
       
    </div>


@section Scripts{


    <script>
        var mousePosition;
        var offset = [0, 0];
        var img;
        var isDown = false;

        img = document.createElement("div");
        img.style.position = "absolute";
        img.style.left = "0px";
        img.style.top = "0px";
        img.style.width = "100px";
        img.style.height = "100px";
        img.style.background = "red";
        div.style.color = "blue";

        $("#div1").append(div);

        div.addEventListener('mousedown', function (e) {
            isDown = true;
            offset = [
                div.offsetLeft - e.clientX,
                div.offsetTop - e.clientY
            ];

            console.log('mousedown :: offset', offset)
        }, true);

        document.addEventListener('mouseup', function () {
            isDown = false;
        }, true);

        document.addEventListener('mousemove', function (event) {
            event.preventDefault();
            if (isDown) {
                mousePosition = {

                    x: event.clientX,
                    y: event.clientY

                };
                div.style.left = (mousePosition.x + offset[0]) + 'px';
                div.style.top = (mousePosition.y + offset[1]) + 'px';
            }
        }, true);
    </script>














    @*<script>
            $(document).ready(function () {

                //var img = new Image();
                //img.onload = function () {
                //    //ctx.drawImage(img, 0, 0);
                //};
                //img.src = "https://localhost:5001/Images/Banner/writing.jpeg";



                var img = document.getElementById("drag1");
                //console.log("img :", img)

                var canvas = document.getElementById("myCanvas");
                var ctx = canvas.getContext("2d");

                //console.log("ctx :", ctx)

                var canvasOffset = $("#myCanvas").offset();
                console.log("canvasOffset", canvasOffset)

                var offsetX = canvasOffset.left;
                    console.log("offsetX", offsetX)
                var offsetY = canvasOffset.top;
                    console.log("offsetY", offsetY)

                var canvasWidth = canvas.width;
                    console.log("canvasWidth", canvasWidth)
                var canvasHeight = canvas.height;
                    console.log("canvasHeight", canvasHeight)

                var isDragging = false;

                function handleMouseDown(e) {

                    canMouseX = parseInt(e.clientX - offsetX);
                    canMouseY = parseInt(e.clientY - offsetY);

                    console.log("e.clientX", e.clientX)
                    console.log("e.clientY", e.clientY)

                    console.log("offsetX", offsetX)
                    console.log("offsetY", offsetY)

                    console.log("handleMouseDown ::: canMouseX :", canMouseX)
                    console.log("handleMouseDown ::: canMouseY : ", canMouseY)
                    // set the drag flag
                    isDragging = true;
                }

                function handleMouseUp(e) {

                    canMouseX = parseInt(e.clientX - offsetX);
                    canMouseY = parseInt(e.clientY - offsetY);

                    //console.log("handleMouseUp ::: canMouseX :", canMouseX)
                    //console.log("handleMouseUp ::: canMouseY : ", canMouseY)

                    // clear the drag flag
                    isDragging = false;
                }

                function handleMouseOut(e) {

                    canMouseX = parseInt(e.clientX - offsetX);
                    canMouseY = parseInt(e.clientY - offsetY);

                    //console.log("handleMouseOut ::: canMouseX :", canMouseX)
                    //console.log("handleMouseOut ::: canMouseY : ", canMouseY)

                    // user has left the canvas, so clear the drag flag
                    isDragging=false;
                }

                function handleMouseMove(e) {

                    canMouseX = parseInt(e.clientX - offsetX);
                    canMouseY = parseInt(e.clientY - offsetY);

                    //console.log("handleMouseMove ::: canMouseX :", canMouseX)
                    //console.log("handleMouseMove ::: canMouseY : ", canMouseY)

                    // if the drag flag is set, clear the canvas and draw the image
                    if (isDragging) {
                        //ctx.clearRect(0, 0, canvasWidth, canvasHeight);
                        //ctx.drawImage(img, canMouseX - 128 / 2, canMouseY - 120 / 2, 128, 120);

                        ctx.clearRect(0, 0, canvasWidth, canvasHeight);
                        ctx.drawImage(img, canMouseX - 128/2, canMouseY - 120/2, 128, 120);
                    }
                }

                $("#myCanvas").mousedown(function (e) { handleMouseDown(e); });
                $("#myCanvas").mousemove(function (e) { handleMouseMove(e); });
                $("#myCanvas").mouseup(function (e) { handleMouseUp(e); });
                $("#myCanvas").mouseout(function (e) { handleMouseOut(e); });

            });
        </script>*@
}



<script>

            //var Page_length = document.getElementsByClassName('pdf-page-canvas').length;

            //if (Page_length > 0)
            //{
            //    for (var i = 0; i < Page_length; i++)
            //    {
            //        var name = 'canvas_' + i;
            //        name = document.getElementsByClassName('pdf-page-canvas')[i];

            //        var ctx = 'ctx_' + i;
            //        ctx = name.getContext("2d");

            //        var Bounding = 'Bounding_' + i;
            //        Bounding = name.getBoundingClientRect();

            //        var offsetX = 'offsetX_' + i;
            //        var offsetY = 'offsetY_' + i;
            //        offsetX = Bounding.left;
            //        offsetY = Bounding.top;

            //        console.log('offsetX_', offsetX)
            //        console.log('offsetY_', offsetY)

            //    }
            //}

            //var canvas = document.getElementsByClassName('pdf-page-canvas')[0];           
            //var ctx = canvas.getContext("2d");

            //var canvasOffset = $(".pdf-page-canvas").offset();         
            //var offsetX = canvasOffset.left;         
            //var offsetY = canvasOffset.top;

            //var canvasWidth = canvas.width;          
            //var canvasHeight = canvas.height;

            //var isDragging = false;
</script>